Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.exps
Interface Literal

All Superinterfaces:
  Constant, Serializable, Value

All Known Implementing Classes:
  Lit, Lit, TypeLit, TypeLit

    public interface Literal

extends Value, Constant

Interface for any literal value.

Author:
  Abe White

Field Summary
`static int` | `TYPE_BOOLEAN`
`static int` | `TYPE_CLASS`
`static int` | `TYPE_COLLECTION`
`static int` | `TYPE_DATE`
`static int` | `TYPE_ENUM`
`static int` | `TYPE_NUMBER`
`static int` | `TYPE_SQ_STRING`
`static int` | `TYPE_STRING`
`static int` | `TYPE_TIME`
`static int` | `TYPE_TIMESTAMP`
`static int` | `TYPE_UNKNOWN`

Method Summary
`int` | `getParseType()` The type the literal was parsed as.
`Object` | `getValue()` The value of this literal.
`void` | `setValue(Object val)` The value of this literal.

Methods inherited from interface org.apache.openjpa.kernel.exps.Value
`acceptVisit, getAlias, getMetaData, getName, getPath, getSelectAs, getType, isAggregate, isVariable, isXPath, setAlias, setImplicitType, setMetaData`

Methods inherited from interface org.apache.openjpa.kernel.exps.Constant
`getValue`

Field Detail

### TYPE_UNKNOWN

    static final int TYPE_UNKNOWN

See Also:
  Constant Field Values

### TYPE_NUMBER

    static final int TYPE_NUMBER

See Also:
  Constant Field Values

### TYPE_BOOLEAN

    static final int TYPE_BOOLEAN

See Also:
  Constant Field Values

### TYPE_STRING

    static final int TYPE_STRING

See Also:
  Constant Field Values

### TYPE_SQ_STRING

    static final int TYPE_SQ_STRING

See Also:
  Constant Field Values

### TYPE_CLASS

    static final int TYPE_CLASS

See Also:
  Constant Field Values

### TYPE_ENUM

    static final int TYPE_ENUM

See Also:
  Constant Field Values

### TYPE_COLLECTION

    static final int TYPE_COLLECTION

See Also:
  Constant Field Values

### TYPE_DATE

    static final int TYPE_DATE

See Also:
  Constant Field Values

### TYPE_TIME

    static final int TYPE_TIME

See Also:
  Constant Field Values

### TYPE_TIMESTAMP

    static final int TYPE_TIMESTAMP

See Also:
  Constant Field Values

Method Detail

### getValue

    Object getValue()

  The value of this literal.

### setValue

    void setValue(Object val)

  The value of this literal.

### getParseType

    int getParseType()

  The type the literal was parsed as.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.